use axum::body::Bytes;
use axum::http::HeaderMap;

use std::fs::File;
use std::io::Write;

pub async fn inbox_post(headers: HeaderMap, bytes: Bytes) {
    println!("Headers: {:#?}", headers);
    let _ = File::create("./last.json").map(|mut res| {
        res.write_all(&bytes).expect("Failed writing");
        println!("Writing file");
    });
    let json = String::from_utf8(Vec::from(bytes)).expect("Invalid UTF-8");
    let json: serde_json::Value = serde_json::from_str(&json).expect("Invalid JSON");
    match serde_json::to_string_pretty(&json) {
        Ok(pretty_json) => println!("Received JSON:\n{}\n\n", pretty_json),
        Err(err) => println!("Failed to format JSON: {}\n\n", err),
    }
}
